org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface SourceWrapSupport.Wrapper

All Known Implementing Classes:
  SourceWrapSupport.StringBasedWrapper

Enclosing class:
  SourceWrapSupport

    public static interface SourceWrapSupport.Wrapper

Describes a known type of script source wrapper. The wrapping is essentially adding a prefix and suffix, but these parts can be flexible. This object is responsible for recognizing a particular wrapping.

### Nested Class Summary

Nested Classes
`static interface` `SourceWrapSupport.Wrapper.Match` Defines a particular wrapper match.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()`
`SourceWrapSupport.Wrapper.Match` `match(java.lang.String remoteContent)` Checks whether remoteContext text has this particular wrapping.

### Method Detail

#### getName

    java.lang.String getName()

Returns:
  user-visible wrapper name

#### match

    SourceWrapSupport.Wrapper.Match match(java.lang.String remoteContent)

Checks whether remoteContext text has this particular wrapping.

Returns:
  match object if input matches or null